%define oname   rails

Name:       ruby-%{oname}
Version:    4.0.3
Release:    %mkrel 1
Summary:    Web-application framework with template engine, control-flow layer, and ORM
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Provides:   %{oname} = %{version}-%{release}
Obsoletes:  %{name}-devel < %{version}

%description
Rails is a framework for building web-application using CGI, FCGI,
mod_ruby, or WEBrick
on top of either MySQL, PostgreSQL, SQLite, DB2, SQL Server, or Oracle with
eRuby- or Builder-based templates.

%files
%{gem_instdir}
%exclude %{gem_instdir}/guides
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:      noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/guides

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Tue Apr 01 2014 pterjan <pterjan> 4.0.3-1.mga4
+ Revision: 611032
- Update to 4.0.3 (no change)

* Sun Dec 29 2013 pterjan <pterjan> 4.0.2-1.mga4
+ Revision: 563093
- Update to rails 4.0.2 (CVE-2013-6417, CVE-2013-4491, CVE-2013-6415, CVE-2013-6414, CVE-2013-6416)

* Sat Dec 28 2013 pterjan <pterjan> 4.0.0-5.mga4
+ Revision: 561670
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 4.0.0-4.mga4
+ Revision: 535748
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 4.0.0-3.mga4
+ Revision: 482288
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 4.0.0-2.mga4
+ Revision: 476534
- Fix file list

* Thu Jun 27 2013 fwang <fwang> 4.0.0-1.mga4
+ Revision: 447424
- new version 4.0.0

* Sat Mar 23 2013 fwang <fwang> 3.2.13-1.mga3
+ Revision: 404618
- new version 3.2.13

* Tue Feb 12 2013 fwang <fwang> 3.2.12-1.mga3
+ Revision: 398011
- new version 3.2.12

* Fri Feb 08 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 396337
- Rebuild for CVE-2013-0256

* Sun Jan 20 2013 fwang <fwang> 3.2.11-1.mga3
+ Revision: 390186
- new version 3.2.11
- new version 3.2.10

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 shikamaru <shikamaru> 3.2.9-1.mga3
+ Revision: 332843
- Match other rails components version (3.2.9)

* Thu Nov 01 2012 fwang <fwang> 3.2.8-1.mga3
+ Revision: 312229
- add back doc package
- new version 3.2.8
- new version 3.2.8

* Sat Oct 29 2011 shikamaru <shikamaru> 2.3.14-1.mga2
+ Revision: 159714
- new version 2.3.14

* Wed Oct 19 2011 lebedov <lebedov> 2.3.12-1.mga2
+ Revision: 156667
- Update to 2.3.12.
  Make devel package obsolete rails to facilitate upgrading from Mdv 2010.2.

* Mon Apr 18 2011 shikamaru <shikamaru> 2.3.11-2.mga1
+ Revision: 87624
- Create devel package to allow creating rails apps
- filter files that should not be removed
- fix main package file list

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50622
- new version 2.3.11

* Sun Jan 23 2011 shikamaru <shikamaru> 2.3.10-2.mga1
+ Revision: 34616
- imported package ruby-rails


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.3.10-2mdv2011.0
- apply new ruby policy
- apply general mageia policy

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585823
- bump release

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579508
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2010.0
+ Revision: 438616
- Update to new version 2.3.4 (security fixes)

* Mon Jul 20 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 398220
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-2mdv2010.0
+ Revision: 385492
- Specify required dependency versions.

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 304480
- Update to new upstream version 2.1.2 (includes security fixes)

* Sun Sep 14 2008 Frederik Himpe <fhimpe@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 284647
- Update to new version 2.1.1: fixes critical SQL injection security
  vulnerability (http://www.rorsecurity.info/2008/09/08/sql-injection-issue-in-limit-and-offset-parameter/)

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269184
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214651
- new version 2.1.0

* Thu Feb 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-3mdv2008.1
+ Revision: 176499
- rebuild for new RubyGems loading (gem instead of require_gem)

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-2mdv2008.1
+ Revision: 151758
- bump release
- require ruby-activeresource

* Sun Jan 06 2008 Jérôme Soyer <saispo@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 145873
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 119366
- New release 2.0.1

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.2.3-1mdv2008.0
+ Revision: 17536
- 1.2.3


* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 1.1.6-1mdv2007.0
- 1.1.6

* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.1.4-1mdv2007.0
- initial Mandriva release

